﻿using Microsoft.Xna.Framework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace View
{
    class Camera
    {
        /**
        Sets and gets the camera position.
        */
        public Vector2 Position { get; set; }

        /**
        Constructor for the camera.
        */
        public Camera()
        {
            Position = new Vector2(0, 0);
        }

        /**
        Returns the transformation matrix that specifies the camera position.
        This is the heart of the camera that enables camera movement.
        */
        public Matrix TransformMatrix
        {
            get
            {
                return Matrix.CreateTranslation(Position.X, Position.Y, 0);
            }
        }
    }
}
